<script>

function tabE(obj, e) {
        var e = (typeof event != 'undefined') ? window.event : e; // IE : Moz 
        if (e.keyCode == 13) {
            var ele = document.forms[0].elements;
            for (var i = 0; i < ele.length; i++) {
                var q = (i == ele.length - 1) ? 0 : i + 1; // if last element : if any other 
                if (obj == ele[i]) {
                      ele[q].select();
				      ele[q].focus();
                    break
                }
            }
            return false;
        }
    }
	
	
	
	
	function chk_aplicacion(codfacturatmp,numlinea,aplica)
			{
 
   	parent.document.formulario_lineas.numlinea.value=numlinea; 
	parent.document.formulario_lineas.aplica.value=aplica;


	
	parent.document.forms.formulario_lineas.action="frame_lineas_comanda.php";
	parent.document.getElementById("formulario_lineas").submit(); 	


 
		}
	
	
	

window.onkeydown = tecla;

  function tecla(event) {
  if( event.keyCode > 111 && event.keyCode < 123 || event.keyCode ==27	) {    num = event.keyCode;

if(num==113)parent.abreVentana(); // f3  busqueda de clientes 
if(num==115){ parent.ventanaArticulos(); } // f8 busqueda de articulos
if(num==118) {parent.pagar();  }// f7 pago de contado
if(num==120){ parent.ConsultarArticulo();  }//f9 guardar e imprimir
if(num==121){ parent.validar_cabecera();  }//f10 guardar e imprimir 
if(num==27){ 
			document.getElementById("cdgbar").value="";
			document.getElementById("dscart").value="";
			document.getElementById("cantidad").value="";
			document.getElementById("preivi").value="";
			document.getElementById("importe").value="";
			document.getElementById("dcto").value="";
			document.getElementById("descuento").value="";
			document.getElementById("cob_iv").value="";
			
			 parent.document.forms.formulario_lineas.action="frame_lineas_super.php"
			 parent.document.getElementById("formulario_lineas").submit();  }//escape salir
  }  
  }

            /////////   deshabilitar el f5 refrecar del navegador ///////////

//desactivar tecla f5
function f5()
{
var tecla=window.event.keyCode;
if (tecla==116) { event.keyCode=0;
event.returnValue=false;}
}
 


function actualizar_articulo(cdgbar,codfacturatmp,numlinea,cantidad,descuento,chkimpser)
{
	

	
	if (cantidad <=0) {
		
		 alert("Favor verifique cantidad no pueder ser igual o menor a cero")
		  parent.document.getElementById("formulario_lineas").submit();
		 
} else {

document.getElementById("frame_datos3").src="actualizar_articulo_pagos.php?codfacturatmp="+codfacturatmp+"&numlinea=" + numlinea+"&cantidad=" + cantidad+"&cdgbar=" + cdgbar  +"&descuento=" + descuento  +"&chkimpser=" + chkimpser;
	//location.href="actualizar_articulo_pagos.php?codfacturatmp="+codfacturatmp+"&numlinea=" + numlinea+"&cantidad=" + cantidad+"&cdgbar=" + cdgbar;

}}


function  actualizar_articulo_descuento(cdgbar,codfacturatmp,numlinea,descuento,cliexe,cantidad,desmin,desmax)
{
	

		if ( descuento <= desmin ) 
		 {
	 
	document.getElementById("frame_datos3").src="actualizar_articulo.php?codfacturatmp="+codfacturatmp+"&numlinea=" + numlinea+"&cantidad=" + cantidad+"&cdgbar=" + cdgbar +"&cliexe=" + cliexe +"&descuento=" + descuento;

  				
	 }else if  ( descuento >  desmin && descuento  <= desmax ) {
	
		document.getElementById("frame_datos3").src="validar_descuento.php?codfacturatmp="+codfacturatmp+"&numlinea=" + numlinea+"&cantidad=" + cantidad+"&cdgbar=" + cdgbar +"&cliexe=" + cliexe +"&descuento=" + descuento;
 


	 		} else {
			
			alert ("El descuento maximo permitido es "+desmax+" %");
  			parent.document.getElementById("formulario_lineas").submit();
	
			
			 }

}


	
	

					
					


function eliminar_linea(codfacturatmp,numlinea,cliexe)
{
	if (confirm(" Desea eliminar esta linea ? "))

	
		document.getElementById("frame_datos").src="eliminar_linea_super.php?codfacturatmp="+codfacturatmp+"&numlinea=" + numlinea+"&cliexe=" + cliexe;
}




function pon_prefijo(filas,subtotal,descuento,impuesto,total,impser,total_con_impser) {
	
	
	parent.document.formulario_lineas.subtotal.value=subtotal;
	parent.document.formulario_lineas.descuento2.value=descuento;
	parent.document.formulario_lineas.imp.value=impuesto;
	parent.document.formulario_lineas.total.value=total;
	parent.document.formulario_lineas.impser.value=impser;
	parent.document.formulario_lineas.total_con_impser.value=total_con_impser;


}

function nobackbutton(){	
   window.location.hash="no-back-button";	
   window.location.hash="Again-No-back-button" //chrome	
   window.onhashchange=function(){window.location.hash="no-back-button";}	
}

function inicio(){
	   		
	parent.document.getElementById("detalle").value;

	
}

  

	function done() { 

             document.getElementById("popup").style.display = "none";
   		     var codfacturatmp = document.getElementById("codfactura").value; 
			 var numlinea = document.getElementById("numlinea").value; 
			 var cantidad = document.getElementById("cantidad").value; 
			 var cdgbar = document.getElementById("cdgbar").value; 
		     var cliexe = document.getElementById("cliexe").value; 
		     var descuento = document.getElementById("descuento").value; 

			 var clades = document.getElementById("clades").value; 
			 var password = document.getElementById("pass").value; 
	         clades=parseInt(clades);
		     password=parseInt(password);
			
			
			 
			 if (clades == password) { 
	//	 alert("lo logre\n\n"+clades+password);

			document.getElementById("frame_datos3").src="actualizar_articulo.php?codfacturatmp="+codfacturatmp+"&numlinea=" + numlinea+"&cantidad=" + cantidad+"&cdgbar=" + cdgbar +"&cliexe=" + cliexe +"&descuento=" + descuento;


			 }else { 
			 
			 alert("Contraseña incorrecta favor verifique");
		     parent.document.getElementById("formulario_lineas").submit();
			 
			}}

	
		
		//nombre del primer campo en la secuencia
siguienteCampo = ""
//nombre del formlario
nombreForm = "form_busqueda"

	
//funcion que gestiona el evento
function TelcaPulsada( e ) {

   if ( window.event != null)				//IE4+
      tecla = window.event.keyCode;
   else if ( e != null ) 				//N4+ o W3C compatibles
      tecla = e.which;
   else
      return;
	
   if (tecla == 13) { 	
			//se pulso enter
      if ( siguienteCampo == 'fin' ) {			//fin de la secuencia, hace el submit		
		validardescuento();	//eliminar este alert para uso normal
		 
         return false					//sustituir por return true para hacer el submit
      } else { 						//da el foco al siguiente campo
	  
		 eval('document.' + nombreForm + '.' + siguienteCampo + '.select()')

         return false
      }
   }
}

document.onkeydown = TelcaPulsada;			//asigna el evento pulsacion tecla a la funcion
if (document.captureEvents)				//netscape es especial: requiere activar la captura del evento
	document.captureEvents(Event.KEYDOWN)



					function inicio() {
    var elmnt = document.getElementById("xdetalleAWSUPER2");
    var posicion=document.getElementById("posicion").value;
    elmnt.scrollLeft =posicion;
    elmnt.scrollTop =posicion;
}

	
	
</script>





<html>
<link href="../estilos/estilos.css" type="text/css" rel="stylesheet">
	<body  onKeyDown="javascript:f5()" onLoad="nobackbutton();inicio(); ">
<?php 
include('../conexion.php'); 
	 	$query_parametros = "SELECT * FROM web_0000 ";
	$rs_query_parametros = $mysqli->query($query_parametros);
	$filas_parametros = $rs_query_parametros->fetch_array();

		 $clades = $filas_parametros["clades"];
		 $tipcamdol = $filas_parametros["tipcamdol"];
		 
 
   if (!isset($_POST["codfacturatmp"])) { $codfacturatmp=""; } else  { $codfacturatmp=$_POST["codfacturatmp"]; }

$cliexe=1;
$retorno=0;
 		if (!isset($_POST["modif"])) { $modif=""; } else  { $modif=$_POST["modif"]; }
  		if (!isset($_POST["cantnueva"])) { $cantnueva=""; } else  { $cantnueva=$_POST["cantnueva"]; }
   		if (!isset($_POST["cdgbar"])) { $cdgbar=""; } else  { $cdgbar=$_POST["cdgbar"]; }
    	if (!isset($_POST["importe"])) { $importe=""; } else  { $importe=$_POST["importe"]; }
	 	if (!isset($_POST["chkimpser"])) { $chkimpser=""; } else  { $chkimpser=$_POST["chkimpser"]; }
	  	if (!isset($_POST["aplica"])) { $aplica=""; } else  { $aplica=$_POST["aplica"]; }
	    if (!isset($_POST["numlinea"])) { $numlinea=""; } else  { $numlinea=$_POST["numlinea"]; }
		
		 	if (!isset($_POST["codfacturatmp"])) { 

 //$cliexe=$_GET["cliexe2"];

 	 if (!isset($_GET["cliexe2"])) { $cliexe=""; } else  { $cliexe=$_GET["cliexe2"]; }

 } else  {   // si no es modificacion desde la rejilla

  $cliexe=$_POST["cliexe2"];
   if (!isset($_POST["cliexe2"])) { $cliexe=""; } else  { $cliexe=$_POST["cliexe2"]; }
   if (!isset($_POST["preivi2 "])) { $preivi2 =0; } else  { $preivi2 =$_POST["preivi2"]; }


 }

	
//$modif=$_POST["modif"];
//$cantnueva=$_POST["cantidad"];		
//$cdgbar=$_POST["cdgbar"];
//$importe=$_POST["importe"];

//$aplica=$_POST["aplica"];
//$numlinea=$_POST["numlinea"];
 //$chkimpser=$_POST["chkimpser"];
	$baseimp=0;
	$baseiva=0;
	$basedescuento=0;
if ($chkimpser=="") {
$chkimpser=0;
} 


/////////////////////////////////////AVERIGUA LA MAC /////////////////////////////////////////////
$ipAddress=$_SERVER['REMOTE_ADDR'];
$macAddr=false;

#run the external command, break output into lines
$arp=`arp -a $ipAddress`;
$lines=explode("\n", $arp);

#look for the output line describing our IP address
foreach($lines as $line)
{
   $cols=preg_split('/\s+/', trim($line));
   if ($cols[0]==$ipAddress)
   {
    $macAddr=$cols[1];
   }
}

////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////

 		

$ip = $_SERVER['REMOTE_ADDR'] ;
 
 if ($numlinea <> "")  {	
 
 
if ($macAddr=="94-be-46-9b-77-73"){ 

	$sel_aplica="UPDATE pagos_parciales_lineas3 SET chkcom='$aplica' WHERE numlinea='$numlinea'  AND  codfactura='$codfacturatmp'";
		$mysqli->query($sel_aplica);	
  
 } elseif ($macAddr=="94-be-46-b5-4f-8b") {


	$sel_aplica="UPDATE pagos_parciales_lineas2 SET chkcom='$aplica' WHERE numlinea='$numlinea'  AND  codfactura='$codfacturatmp'";
		$mysqli->query($sel_aplica);	

  
  }else {    /// SERVER 
  
	$sel_aplica="UPDATE pagos_parciales_lineas SET chkcom='$aplica' WHERE numlinea='$numlinea'  AND  codfactura='$codfacturatmp'";
		$mysqli->query($sel_aplica);	
  
  }  /// cierra el condicional maquina 
  

} 

?>
<div id="">
  <iframe id="frame_datos" name="frame_datos" width="0%" height="0" frameborder="0">
  <ilayer width="0" height="0" id="frame_datos" name="frame_datos"></ilayer>
  </iframe>

  
  <form id="form_busqueda" name="form_busqueda" method="post" action="frame_lineas.php" target="frame_rejilla">
  

  <table class="fuente9" width="100%" cellspacing=0 cellpadding=0 border=0 ID="Table1">
<?php
if($codfacturatmp=="") {
 $codfacturatmp=$_GET["codfacturatmp"];
  $cliexe=1;
  $posicion=$_GET["posicion"];
  $chkimpser=$_GET["chkimpser"];
}

if ($macAddr=="94-be-46-9b-77-73"){ 

	
		$query_mesa="SELECT count(*) as filas FROM pagos_parciales_lineas3  ";
		
			$rs_mesa = $mysqli->query($query_mesa);
			$filas_query_mesas = $rs_mesa->fetch_array();
		   $filas = $filas_query_mesas["filas"];


$sel_lineas="SELECT pagos_parciales_lineas3.*,web_1001.* FROM pagos_parciales_lineas3,web_1001 WHERE pagos_parciales_lineas3.codfactura='$codfacturatmp' AND pagos_parciales_lineas3.codigo=web_1001.cdgbar ORDER BY pagos_parciales_lineas3.numlinea ASC";

	if ($resultado2 = $mysqli->query($sel_lineas)) 
	$i=0;
    while ($fila3 = $resultado2->fetch_assoc()) {
		$numlinea = $fila3["numlinea"];
        $cdgbar = $fila3["codigo"];
        $dscart = $fila3["dscart"];
		$cantidad = $fila3["cantidad"];
		$preivi = $fila3["preivi"];	
	    $importe = $fila3["importe"];
	    $impuesto = $fila3["impuesto"];
		$mondes = $fila3["mondes"];
		

		$desmin=$fila3["desmin"];
		$desmax=$fila3["desmax"];
		$tipart=$fila3["tipart"];
		$cob_iv=$fila3["COB_IV"];
		$chkpag=$fila3["chkpag"];
		$chktic=$fila3["chktic"];
		$chkcom=$fila3["chkcom"];
				
				
	if ($cob_iv == 1) { $paga_impuesto="S"; } else { $paga_impuesto="N"; }
	$descuento=$fila3["dcto"];
	
	$importe=$cantidad*$preivi;

	$mondes=$importe*$descuento/100;
		

	$subtotal=$cantidad*$preivi;
	
	if ($cliexe == 1 ){
		 
		 	if ($cob_iv == 1 ){
				
	$importe=$importe-$mondes;	
	$monto_impuesto=$importe*1.13;
	$impuesto=$monto_impuesto-$importe;
			
			} else {
	$importe=$importe-$mondes;	
	$impuesto=0;
			}
	
	} else {
		$importe=$importe-$mondes;	
		$impuesto=0;	
	}
	
	
	if ($chkcom==1)  {
	$preivi2=$importe+$impuesto;
	$baseimp=$importe+$baseimp;
	$baseiva=$impuesto+$baseiva;
	$basedescuento=$basedescuento+$mondes;
	
	} else{



	}
	
	//$sel_act="UPDATE  pagos_parciales_lineas SET   importe='$subtotal',mondes='$mondes', impuesto='$impuesto' WHERE codfactura='$codfacturatmp' and codigo=$cdgbar ";
	//$rs_act=mysql_query($sel_act);
	
	
	$sel_act="UPDATE  pagos_parciales_lineas3 SET cantidad='$cantidad' ,  importe='$subtotal', dcto='$descuento',mondes='$mondes', impuesto='$impuesto' WHERE codfactura='$codfacturatmp' and codigo='$cdgbar'  and numlinea=$numlinea ";
	$mysqli->query($sel_act);
	


if ($filas > 0 ){
	
	
	if ($chkcom==0)  {
		$preivi2=0;
 }
	
	if ($i % 2) { $fondolinea="itemParTabla"; } else { $fondolinea="itemImparTabla"; } ?>
			<tr class="<?php echo $fondolinea?>">
        
    
	        <td width="3%"><div align="right"><input type="text"   value="<?php echo number_format($cantidad,2,".",",") ?>"  name="cantidad"  onkeypress="return tabE(this,event)"  style='text-align:right;'   onChange="actualizar_articulo('<?php echo $cdgbar ?>','<?php echo $codfacturatmp ?>',<?php echo $numlinea?>,this.value,<?php echo $descuento ?>,<?php echo $chkimpser ?>)"   maxlength="15" size="3" autocomplete="off"    /> </div></td>
			
				
				<td width="2%"></td>
				<td width="67%"><?php echo $dscart?></td>


			  <td width="10%"><div align="right"><?php echo number_format($preivi2,2,".",",")?></div></td>
				
				             <?php if ($chkcom==1  ){ ?>
              <td width="5%" align="right"><input type="checkbox" value="otro" name="valores"  style='text-align:right;' onKeyPress="return tabE(this,event)"  checked onClick="chk_aplicacion('<?php echo $codfacturatmp ?>',<?php echo $numlinea?>,<?php echo 0 ?>)" /> </td>
		       <?php } else { ?>
              <td width="5%"  align="right"><input type="checkbox" value="otro" name="valores" style='text-align:right;'   onkeypress="return tabE(this,event)" onClick="chk_aplicacion('<?php echo $codfacturatmp ?>',<?php echo $numlinea?>,<?php echo 1  ?>)" /> </td>
                <?php }  ?> 
				
				
			
		<tr class="<?php echo $fondolinea ?>" onMouseOver="CambiaColor(this,'#000000','#ffffff')" onMouseOut="CambiaColor2(this,'#000000')" >	
    </tr>
					
		<?php } else { ?>
					<table class="fuente8" width="87%" cellspacing=0 cellpadding=3 border=0>
						<tr>
							<td width="100%" class="mensaje"><?php echo "La orden del cliente ubicado en  ".$codfacturatmp." ha sido cancelada en su totalidad" ;?></td>
					    </tr>
					</table>					
					<?php }  
								

  $subtotal=$baseimp+$basedescuento;
  $preciotot=$subtotal-$basedescuento+$baseiva;
  
  
  //   CALCULO DE IMPUESTO DE SERVICIO ORIGINAL
  
  
//   if ($chkimpser==1) {  
//
//  $impser=($preciotot*10)/100;
//  $total_con_impser= $preciotot + $impser;
//  $total_con_impser=round($total_con_impser);
//  
//   } else  { 
//	
//  $total_con_impser=round($preciotot);	
//  $impser=0;				  
//
//
//  }  
//  
  
     if ($chkimpser ==1) {  

  $impser=($subtotal*10)/100;
  $total_con_impser= $preciotot + $impser;
  $total_con_impser=round($total_con_impser);
  
   } else  { 
	
  $total_con_impser=round($preciotot);	
  $impser=0;				  


  }  
  $impuesto=number_format($baseiva,2,".",",");
  $descuento=number_format($basedescuento,2,".",",");
  $subtotal=number_format($subtotal,2,".",",");
  $impser=number_format($impser,2,".",",");
  $total_con_impser=number_format($total_con_impser,2,".",",");

  
  $total_verificar=$preciotot;
  $total=number_format($preciotot,2,".",",");
  $total_dolar=$preciotot/$tipcamdol;
  $total_dolar=number_format($total_dolar,2,".",",");


}
	
		
 } elseif ($macAddr=="94-be-46-b5-4f-8b") { ////SEGUNDA TABLET 


	
			$query_mesa="SELECT count(*) as filas FROM pagos_parciales_lineas2  ";
		
			$rs_mesa = $mysqli->query($query_mesa);
			$filas_query_mesas = $rs_mesa->fetch_array();
		   $filas = $filas_query_mesas["filas"];


$sel_lineas="SELECT pagos_parciales_lineas2.*,web_1001.* FROM pagos_parciales_lineas2,web_1001 WHERE pagos_parciales_lineas2.codfactura='$codfacturatmp' AND pagos_parciales_lineas2.codigo=web_1001.cdgbar ORDER BY pagos_parciales_lineas2.numlinea ASC";

	if ($resultado2 = $mysqli->query($sel_lineas)) 
	$i=0;
    while ($fila3 = $resultado2->fetch_assoc()) {
		$numlinea = $fila3["numlinea"];
        $cdgbar = $fila3["codigo"];
        $dscart = $fila3["dscart"];
		$cantidad = $fila3["cantidad"];
		$preivi = $fila3["preivi"];	
	    $importe = $fila3["importe"];
	    $impuesto = $fila3["impuesto"];
		$mondes = $fila3["mondes"];
		

		$desmin=$fila3["desmin"];
		$desmax=$fila3["desmax"];
		$tipart=$fila3["tipart"];
		$cob_iv=$fila3["COB_IV"];
		$chkpag=$fila3["chkpag"];
		$chktic=$fila3["chktic"];
		$chkcom=$fila3["chkcom"];
				
				
	if ($cob_iv == 1) { $paga_impuesto="S"; } else { $paga_impuesto="N"; }
	$descuento=$fila3["dcto"];
	
	$importe=$cantidad*$preivi;

	$mondes=$importe*$descuento/100;
		

	$subtotal=$cantidad*$preivi;
	
	if ($cliexe == 1 ){
		 
		 	if ($cob_iv == 1 ){
				
	$importe=$importe-$mondes;	
	$monto_impuesto=$importe*1.13;
	$impuesto=$monto_impuesto-$importe;
			
			} else {
	$importe=$importe-$mondes;	
	$impuesto=0;
			}
	
	} else {
		$importe=$importe-$mondes;	
		$impuesto=0;	
	}
	
	
	if ($chkcom==1)  {
	$preivi2=$importe+$impuesto;
	$baseimp=$importe+$baseimp;
	$baseiva=$impuesto+$baseiva;
	$basedescuento=$basedescuento+$mondes;
	
	} else{



	}
	
	//$sel_act="UPDATE  pagos_parciales_lineas SET   importe='$subtotal',mondes='$mondes', impuesto='$impuesto' WHERE codfactura='$codfacturatmp' and codigo=$cdgbar ";
	//$rs_act=mysql_query($sel_act);
	
	
	$sel_act="UPDATE  pagos_parciales_lineas2 SET cantidad='$cantidad' ,  importe='$subtotal', dcto='$descuento',mondes='$mondes', impuesto='$impuesto' WHERE codfactura='$codfacturatmp' and codigo='$cdgbar'  and numlinea=$numlinea ";
	$mysqli->query($sel_act);
	
if ($filas > 0 ){
	
	
	if ($chkcom==0)  {
		$preivi2=0;
 }
	
	if ($i % 2) { $fondolinea="itemParTabla"; } else { $fondolinea="itemImparTabla"; } ?>
			<tr class="<?php echo $fondolinea?>">
        
    
	        <td width="3%"><div align="right"><input type="text"   value="<?php echo number_format($cantidad,2,".",",") ?>"  name="cantidad"  onkeypress="return tabE(this,event)"  style='text-align:right;'   onChange="actualizar_articulo('<?php echo $cdgbar ?>','<?php echo $codfacturatmp ?>',<?php echo $numlinea?>,this.value,<?php echo $descuento ?>,<?php echo $softcomcr_bar_restaurante_mar_y_arena  ?>)"   maxlength="15" size="3" autocomplete="off"    /> </div></td>
			
				
				<td width="2%"></td>
				<td width="67%"><?php echo $dscart?></td>


			  <td width="10%"><div align="right"><?php echo number_format($preivi2,2,".",",")?></div></td>
				
				             <?php if ($chkcom==1  ){ ?>
              <td width="5%" align="right"><input type="checkbox" value="otro" name="valores"  style='text-align:right;' onKeyPress="return tabE(this,event)"  checked onClick="chk_aplicacion('<?php echo $codfacturatmp ?>',<?php echo $numlinea?>,<?php echo 0 ?>)" /> </td>
		       <?php } else { ?>
              <td width="5%"  align="right"><input type="checkbox" value="otro" name="valores" style='text-align:right;'   onkeypress="return tabE(this,event)" onClick="chk_aplicacion('<?php echo $codfacturatmp ?>',<?php echo $numlinea?>,<?php echo 1  ?>)" /> </td>
                <?php }  ?> 
				
				
			
		<tr class="<?php echo $fondolinea ?>" onMouseOver="CambiaColor(this,'#000000','#ffffff')" onMouseOut="CambiaColor2(this,'#000000')" >	
    </tr>
					
		<?php } else { ?>
					<table class="fuente8" width="87%" cellspacing=0 cellpadding=3 border=0>
						<tr>
							<td width="100%" class="mensaje"><?php echo "La orden del cliente ubicado en  ".$codfacturatmp." ha sido cancelada en su totalidad" ;?></td>
					    </tr>
					</table>					
					<?php }  
								

  $subtotal=$baseimp+$basedescuento;
  $preciotot=$subtotal-$basedescuento+$baseiva;
  
//   if ($chkimpser==1) {  
//
//  $impser=($preciotot*10)/100;
//  $total_con_impser= $preciotot + $impser;
//  $total_con_impser=round($total_con_impser);
//  
//   } else  { 
//	
//  $total_con_impser=round($preciotot);	
//  $impser=0;				  
//
//
//  } 
  
  
     if ($chkimpser==1) {  

  $impser=($subtotal*10)/100;
  $total_con_impser= $preciotot + $impser;
  $total_con_impser=round($total_con_impser);
  
   } else  { 
	
  $total_con_impser=round($preciotot);	
  $impser=0;				  


  }
  
   
  $impuesto=number_format($baseiva,2,".",",");
  $descuento=number_format($basedescuento,2,".",",");
  $subtotal=number_format($subtotal,2,".",",");
  $impser=number_format($impser,2,".",",");
  $total_con_impser=number_format($total_con_impser,2,".",",");

  
  $total_verificar=$preciotot;
  $total=number_format($preciotot,2,".",",");
  $total_dolar=$preciotot/$tipcamdol;
  $total_dolar=number_format($total_dolar,2,".",",");


}

		} else{    ///  SELECIONA SERVER
	
	
			$query_mesa="SELECT count(*) as filas FROM pagos_parciales_lineas  ";
		
			$rs_mesa = $mysqli->query($query_mesa);
			$filas_query_mesas = $rs_mesa->fetch_array();
		   $filas = $filas_query_mesas["filas"];


$sel_lineas="SELECT pagos_parciales_lineas.*,web_1001.* FROM pagos_parciales_lineas,web_1001 WHERE pagos_parciales_lineas.codfactura='$codfacturatmp' AND pagos_parciales_lineas.codigo=web_1001.cdgbar ORDER BY pagos_parciales_lineas.numlinea ASC";

	if ($resultado2 = $mysqli->query($sel_lineas)) 
	$i=0;
    while ($fila3 = $resultado2->fetch_assoc()) {
		$numlinea = $fila3["numlinea"];
        $cdgbar = $fila3["codigo"];
        $dscart = $fila3["dscart"];
		$cantidad = $fila3["cantidad"];
		$preivi = $fila3["preivi"];	
	    $importe = $fila3["importe"];
	    $impuesto = $fila3["impuesto"];
		$mondes = $fila3["mondes"];
		

		$desmin=$fila3["desmin"];
		$desmax=$fila3["desmax"];
		$tipart=$fila3["tipart"];
		$cob_iv=$fila3["COB_IV"];
		$chkpag=$fila3["chkpag"];
		$chktic=$fila3["chktic"];
		$chkcom=$fila3["chkcom"];
				
				
	if ($cob_iv == 1) { $paga_impuesto="S"; } else { $paga_impuesto="N"; }
	$descuento=$fila3["dcto"];
	
	$importe=$cantidad*$preivi;

	$mondes=$importe*$descuento/100;
		

	$subtotal=$cantidad*$preivi;
	
	if ($cliexe == 1 ){
		 
		 	if ($cob_iv == 1 ){
				
	$importe=$importe-$mondes;	
	$monto_impuesto=$importe*1.13;
	$impuesto=$monto_impuesto-$importe;
			
			} else {
	$importe=$importe-$mondes;	
	$impuesto=0;
			}
	
	} else {
		$importe=$importe-$mondes;	
		$impuesto=0;	
	}
	
	
	if ($chkcom==1)  {
	$preivi2=$importe+$impuesto;
	$baseimp=$importe+$baseimp;
	$baseiva=$impuesto+$baseiva;
	$basedescuento=$basedescuento+$mondes;
	
	} else{



	}
	
	//$sel_act="UPDATE  pagos_parciales_lineas SET   importe='$subtotal',mondes='$mondes', impuesto='$impuesto' WHERE codfactura='$codfacturatmp' and codigo=$cdgbar ";
	//$rs_act=mysql_query($sel_act);
	
	
	$sel_act="UPDATE  pagos_parciales_lineas SET cantidad='$cantidad' ,  importe='$subtotal', dcto='$descuento',mondes='$mondes', impuesto='$impuesto' WHERE codfactura='$codfacturatmp' and codigo='$cdgbar'  and numlinea=$numlinea ";
	$mysqli->query($sel_act);
	
if ($filas > 0 ){
	
	
	if ($chkcom==0)  {
		$preivi2=0;
 }
	
	if ($i % 2) { $fondolinea="itemParTabla"; } else { $fondolinea="itemImparTabla"; } ?>
			<tr class="<?php echo $fondolinea?>">
        
    
	        <td width="3%"><div align="right"><input type="text"   value="<?php echo number_format($cantidad,2,".",",") ?>"  name="cantidad"  onkeypress="return tabE(this,event)"  style='text-align:right;'   onChange="actualizar_articulo('<?php echo $cdgbar ?>','<?php echo $codfacturatmp ?>',<?php echo $numlinea?>,this.value,<?php echo $descuento ?>,<?php echo $chkimpser ?>)"   maxlength="15" size="3" autocomplete="off"    /> </div></td>
			
				
				<td width="2%"></td>
				<td width="67%"><?php echo $dscart?></td>


			  <td width="10%"><div align="right"><?php echo number_format($preivi2,2,".",",")?></div></td>
				
				             <?php if ($chkcom==1  ){ ?>
              <td width="5%" align="right"><input type="checkbox" value="otro" name="valores"  style='text-align:right;' onKeyPress="return tabE(this,event)"  checked onClick="chk_aplicacion('<?php echo $codfacturatmp ?>',<?php echo $numlinea?>,<?php echo 0 ?>)" /> </td>
		       <?php } else { ?>
              <td width="5%"  align="right"><input type="checkbox" value="otro" name="valores" style='text-align:right;'   onkeypress="return tabE(this,event)" onClick="chk_aplicacion('<?php echo $codfacturatmp ?>',<?php echo $numlinea?>,<?php echo 1  ?>)" /> </td>
                <?php }  ?> 
				
				
			
		<tr class="<?php echo $fondolinea ?>" onMouseOver="CambiaColor(this,'#000000','#ffffff')" onMouseOut="CambiaColor2(this,'#000000')" >	
    </tr>
					
		<?php } else { ?>
					<table class="fuente8" width="87%" cellspacing=0 cellpadding=3 border=0>
						<tr>
							<td width="100%" class="mensaje"><?php echo "La orden del cliente ubicado en  ".$codfacturatmp." ha sido cancelada en su totalidad" ;?></td>
					    </tr>
					</table>					
					<?php }  
								

  $subtotal=$baseimp+$basedescuento;
  $preciotot=$subtotal-$basedescuento+$baseiva;
  
//   if ($chkimpser==1) {  
//
//  $impser=($preciotot*10)/100;
//  $total_con_impser= $preciotot + $impser;
//  $total_con_impser=round($total_con_impser);
//  
//   } else  { 
//	
//  $total_con_impser=round($preciotot);	
//  $impser=0;				  
//
//
//  } 
  
     if ($chkimpser==1) {  

  $impser=($subtotal*10)/100;
  $total_con_impser= $preciotot + $impser;
  $total_con_impser=round($total_con_impser);
  
   } else  { 
	
  $total_con_impser=round($preciotot);	
  $impser=0;				  


  } 
  
   
  $impuesto=number_format($baseiva,2,".",",");
  $descuento=number_format($basedescuento,2,".",",");
  $subtotal=number_format($subtotal,2,".",",");
  $impser=number_format($impser,2,".",",");
  $total_con_impser=number_format($total_con_impser,2,".",",");

  
  $total_verificar=$preciotot;
  $total=number_format($preciotot,2,".",",");
  $total_dolar=$preciotot/$tipcamdol;
  $total_dolar=number_format($total_dolar,2,".",",");


}
	
		
	  }  /// cierra el condicional maquina 	    REVISAR
?>

					<script languaje="javascript">
	pon_prefijo("<?php echo $filas ?>","<?php echo $subtotal ?>","<?php echo $descuento ?>","<?php echo $impuesto ?>","<?php echo $total ?>","<?php echo $impser?>","<?php echo $total_con_impser?>");
	
		</script>


</table>
  <input id="posicion" name="posicion" type="hidden" value=" <?php echo $posicion ?>" >
    <div id="popup">
   		<div>Clave Extradescuento</div>
        <BR> 
 <input  autofocus id="pass" size="8"  style='text-align:center;'  name="pass"  value="" type="password" onKeyPress="return tabE(this,event)"   onBlur="done();"/>   
  	 <BR> 
    <input   id="aceptar" name="aceptar"  title="aceptar" value="" type="button" />
  
	</div>	
 	<input   id="numlinea" name="numlinea"  value="" type="hidden" />
 	<input   id="codfactura" name="codfactura"  value="" type="hidden" />
    <input   id="cdgbar" name="cdgbar"  value="" type="hidden" />
    <input   id="descuento" name="descuento"  value="" type="hidden" />
    <input   id="cliexe" name="cliexe"  value="" type="hidden" />
    <input   id="cantidad" name="cantidad"  value="" type="hidden" />   
    <input   id="clades" name="clades"  value=" <?php echo $clades ?> " type="hidden" />
        		</div>	
	    
	</form>
<blockquote>
  <input class="cajaTotales" name="baseimponible" type="hidden" id="baseimponible" size="12" value="<?php echo number_format($baseimp,2,",",".");?>" align="right" readonly> 
																					 
  <input class="cajaTotales" name="basedescuento" type="hidden" id="basedescuento" size="12" value="<?php echo number_format($basedescuento,2,",",".");?>" align="right" readonly>
	
  <input class="cajaTotales" name="baseimpuestos" type="hidden"  id="baseimpuestos" size="12" align="right" value="<?php echo number_format($baseiva,2,",",".");?>" readonly> 
		
  <input class="cajaTotales" name="preciototal" type="hidden"  id="preciototal" size="12" align="right" value="<?php echo number_format($preciotot,2,",",".");?>" readonly> 
    </blockquote>
<iframe id="frame_datos3" name="frame_datos3" width="0%" height="0" frameborder="0">
  <ilayer width="0" height="0" id="frame_datos3" name="frame_datos3"></ilayer>
  </iframe>	
    </body>
</html>